<?php 
// Welcome to 乐众系统&IDC财务管理系统
// Copyright (c)  http://www.lzsys.com/ All rights reserved.
// Business authorization email server@lzsys.com
// 欢迎使用乐众系统&IDC财务管理系统


// [应用配置文件]
return $plugins_config = array(
    'name'     => '邮件推送服务',                      // 应用名称
	

    'type'     => 'SMTP服务',                                // 类型 参考 https://www.lzsys.com/news/118.html

    'describe' => '支持25端口、465端口和自定义端口，可添加多个发件箱账户，当发送频繁时，可在多账户列表中切换其他发件箱', // 应用描述

    'author'   => '乐众-官方',                          // 作者

    'qq'       => '123456',                           // 作者QQ

    'url'      => 'http://www.lzsys.com',                  // 作者官网

    'shop'     => 'http://www.lzsys.com/buy.html', // 作者应用商店
	
    'plugin_version'  =>'1.0.1',                          // 版本信息
	
	'icon'     =>'mail.jpg',                             // 应用图标
	
	'install'  =>'install.php',                           // 应用安装文件  如 创建SQL表，创建目录等初始化功能
	
	'uninstall'=>'uninstall.php',                         // 应用卸载文件  如 删除表 删除目录等卸载功能
	
	'explain'  =>'http://www.lzsys.com/idc_file/help_mail_all.html',                  // 应用介绍，使用说明地址
	
	'panel'    =>false,                                    // 管理员管理面板 直接在本系统内管理 如渠道管理
	'panel_bottom'   =>"渠道配置",                              // 在线管理面板（管理员端）
	'panel_open'    =>false,                                  // 是否在新窗口打开管理面板  false为原窗口 弹窗打开  true=新窗口	


    //----------------------------api = 添加接口时所填参数
	
	'create_api'     => array(
        array(
            'type' => 'input',                      // 输入类型  input 文本框   select 组合框  pass=密码框   number 数字框  radio=单选框
            'text' => '渠道名称',                    // 参数名称
            'placeholder' => '如：邮箱-A账号',   // 输入说明
            'name' => 'name',                   // 参数名称    所有插件都必须有 name 参数
			'defaultvalue' => '',                   // 默认值 
            'rules' => array(                       // 是否必填 
                'required' => true,                 // true=必填  false=可空
                'message' => '请输入渠道名称',       // 必填若没有输入，则提示这段文字
                'trigger' => 'blur',                // 固定值
            ),

        ),
        array(
            'type' => 'input', 
            'text' => 'SMTP服务', 
            'placeholder' => 'SMTP服务地址', 
            'name' => 'smtp',
			'defaultvalue' => '', 
            'rules' => array(     
                'required' => true,  
                'message' => '请输入SMTP服务地址', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'input', 
            'text' => '邮箱账号', 
            'placeholder' => '请输入发件箱', 
            'name' => 'account',
			'defaultvalue' => '', 
            'rules' => array(     
                'required' => true,  
                'message' => '请输入邮箱账号', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'input', 
            'text' => '发件密码', 
            'placeholder' => '请输入发件箱密码 可能为：授权码/安全码/登录密码', 
            'name' => 'secret',
			'defaultvalue' => '', 
            'rules' => array(     
                'required' => true,  
                'message' => '请输入发件密码', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '发信协议',
            'name' => 'ssl',
            'defaultvalue' => 'ssl',
            'rules' => array(
                'required' => true,
                'message' => '请选择发信协议',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '普通协议', 'value' => 'false' ,'checked' =>''),
				array('label' => 'SSL协议', 'value' => 'ssl', 'checked' =>'checked'), //默认选中
				array('label' => 'TLS协议', 'value' => 'tls', 'checked' =>''), 


            ),
        ),
		array(
            'type' => 'input', 
            'text' => '端口', 
            'placeholder' => '请输入smtp服务端口', 
            'name' => 'port',
			'defaultvalue' => '465', 
            'rules' => array(     
                'required' => true,  
                'message' => '请输入smtp服务端口', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'input', 
            'text' => '测试收件箱', 
            'placeholder' => '点击通讯检测系统会给测试收件箱发送一封测试邮件', 
            'name' => 'email',
			'defaultvalue' => '', 
            'rules' => array(     
                'required' => true,  
                'message' => '请输入测试收件箱', 
                'trigger' => 'blur', 
            ),

        ),
		array(
            'type' => 'radio',
            'text' => '客户登录',
            'name' => 'login',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'radio',
            'text' => '客户注册',
            'name' => 'reg',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'radio',
            'text' => '登录异常',
            'name' => 'login_error',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'radio',
            'text' => '登录验证码',
            'name' => 'login_code',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '允许发送', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'radio',
            'text' => '注册验证码',
            'name' => 'reg_code',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '允许发送', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'radio',
            'text' => '找密验证码',
            'name' => 'retrieve_code',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '允许发送', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'radio',
            'text' => '余额充值',
            'name' => 'pay',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'radio',
            'text' => '实名验证码',
            'name' => 'auth_code',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '允许发送', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'radio',
            'text' => '实名成功',
            'name' => 'auth_yes',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'radio',
            'text' => '购买商品',
            'name' => 'buy',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'radio',
            'text' => '续费资产',
            'name' => 'renew',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'radio',
            'text' => '升级资产',
            'name' => 'upshop',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'radio',
            'text' => '三天到期',
            'name' => 'sexpire',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'radio',
            'text' => '资产到期',
            'name' => 'expire',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'radio',
            'text' => '资产删除',
            'name' => 'dells',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'radio',
            'text' => '提交工单',
            'name' => 'get_ods',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'radio',
            'text' => '回复工单',
            'name' => 'me_ods',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
		array(
            'type' => 'radio',
            'text' => '退款进展',
            'name' => 'refund',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ), 
		array(
            'type' => 'radio',
            'text' => '开票进展',
            'name' => 'invoice',
            'defaultvalue' => 'open',
            'rules' => array(
                'required' => false,
                'message' => '',
                'trigger' => 'blur',
            ),
            'option' => array(
                array('label' => '发送通知', 'value' => 'open' ,'checked' =>'checked'), //默认选中
				array('label' => '关闭', 'value' => 'close', 'checked' =>''),


            ),
        ),
	),
	// 添加API参数结束

	// 配置文件结束	
	
    );
