<?php 
// Welcome to 乐众系统&IDC财务管理系统
// Copyright (c)  http://www.lzsys.com/ All rights reserved.
// Business authorization email server@lzsys.com
// 欢迎使用乐众系统&IDC财务管理系统

// [邮件应用 功能模块]


// [引入smtp发信服务类]
require("PHPMailer/PHPMailer.php");
require("PHPMailer/SMTP.php");
require("PHPMailer/Exception.php");

if($api_config['remark']['ssl']=="ssl"){
	$smtp_type = "ssl";
}
if($api_config['remark']['ssl']=="false"){
	$smtp_type = "tls";
}
if($api_config['remark']['ssl']=="tls"){
	$smtp_type = "tls";
}
    $smtp = new PHPMailer\PHPMailer\PHPMailer(true);
	
    //服务器配置
    $smtp->CharSet ="UTF-8";                     //设定邮件编码
    $smtp->SMTPDebug = 0;                        // 调试模式输出
    $smtp->isSMTP();                             // 使用SMTP
    $smtp->Host = $api_config['remark']['smtp'];                // SMTP服务器
    $smtp->SMTPAuth = true;                      // 允许 SMTP 认证
    $smtp->Username = $api_config['remark']['account'];                // SMTP 用户名  即邮箱的用户名
    $smtp->Password = $api_config['remark']['secret'];             // SMTP 密码  部分邮箱是授权码(例如163邮箱)
    $smtp->SMTPSecure = $smtp_type;                    // 允许 TLS 或者ssl协议
    $smtp->Port = $api_config['remark']['port'];    

$plugin->system("smtp", $smtp);// 将实例化类添加到 plugin类中




/**
 * -----接口通讯检测
 */
function mail_all_status_vhost($plugin) {
    $api_config = $plugin->api_config();
	$app_data   = $plugin->ide->lzsys_system->app_data();

	$user = $api_config['remark']['email'];//   收件人
	$account = $api_config['remark']['account'];// 发件人
	$content = "当你收到这封邮件，说明你的邮件接口配置正确"; // 邮件内容
	$web_name = $app_data['app_name'];// 站点名称
	
	$plugin->smtp->setFrom($account, $web_name);
	$plugin->smtp->addAddress($user, $user);
	$plugin->smtp->addReplyTo($account, $web_name);
	$plugin->smtp->isHTML(true);
	$plugin->smtp->Subject = "邮件通讯成功 发送时间：" . date('Y-m-d H:i:s');;
	$plugin->smtp->Body    = '<h1>'.$content.'</h1>发送时间：' . date('Y-m-d H:i:s');
	$plugin->smtp->AltBody = $content;#文本内容
	$get_status = $plugin->smtp->send();
	
    if ($get_status == "1") {
        $status = array('status' => true, 'msg' => "接口通讯成功", 'data' => array());
    } else {
        $status = array('status' => false, 'msg' => $get_status, 'data' => array());
    } 
    return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
} 

/**
 * -----发送客户登录邮件通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function mail_all_login($plugin) {
    $app_data   = $plugin->ide->lzsys_system->app_data();
    $email_content = "【".$app_data['app_name']."】登录通知，你的账号于" . date("Y-m-d H:i:s", time()) . "在IP" . $plugin->ide->lzsys_system->get_ip() . "登录成功，若非你登录，请及时联系客服";

    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['login']<>"open"){
		$status = array('status' => false, 'msg' => "该邮件服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$user = $asset_data['email'];//   收件人
	if($user=="" or $user=="0"){
		$status = array('status' => false, 'msg' => "收件人为空 放弃发送", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$account = $api_config['remark']['account'];
	$content = $email_content; 
	$web_name = $app_data['app_name'];
	$mail_type= "HTML";
	$plugin->smtp->setFrom($account, $web_name);
	$plugin->smtp->addAddress($user, $user);
	$plugin->smtp->addReplyTo($account, $web_name);
	$plugin->smtp->isHTML(true);
	$plugin->smtp->Subject = "【".$app_data['app_name']."】登录通知-发送时间：" . date('Y-m-d H:i:s');;
	$plugin->smtp->Body    = '<h1>'.$content.'</h1>';
	$plugin->smtp->AltBody = $content;#文本内容
	$get_status = $plugin->smtp->send();
	if($get_status=="1"){
		$status = array('status' => true, 'msg' => "邮件发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
} 

/**
 * -----发送客户注册邮件通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function mail_all_reg($plugin) {
    $app_data   = $plugin->ide->lzsys_system->app_data();
    
    $asset_data = $plugin->asset_data();
	$email_content = "【".$app_data['app_name']."】你已经成功注册账号，你的初始密码" . $asset_data['pass'];
    $api_config = $plugin->api_config();
	if($api_config['remark']['reg']<>"open"){
		$status = array('status' => false, 'msg' => "该邮件服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$user = $asset_data['email'];//   收件人
	if($user=="" or $user=="0"){
		$status = array('status' => false, 'msg' => "收件人为空 放弃发送", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$account = $api_config['remark']['account'];
	$content = $email_content; 
	$web_name = $app_data['app_name'];
	$mail_type= "HTML";
	$plugin->smtp->setFrom($account, $web_name);
	$plugin->smtp->addAddress($user, $user);
	$plugin->smtp->addReplyTo($account, $web_name);
	$plugin->smtp->isHTML(true);
	$plugin->smtp->Subject = "【".$app_data['app_name']."】恭喜你！注册成功-发送时间：" . date('Y-m-d H:i:s');;
	$plugin->smtp->Body    = '<h1>'.$content.'</h1>';
	$plugin->smtp->AltBody = $content;#文本内容
	$get_status = $plugin->smtp->send();
	if($get_status=="1"){
		$status = array('status' => true, 'msg' => "邮件发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
} 
/**
 * -----发送客户登录失败邮件通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function mail_all_login_error($plugin) {
	
    $app_data   = $plugin->ide->lzsys_system->app_data();
    $email_content = "【".$app_data['app_name']."】登录异常，你的账号于" . date("Y-m-d H:i:s", time()) . "在IP " . $plugin->ide->lzsys_system->get_ip() . "尝试登录失败，若非你登录，请及时联系客服";

    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['login_error']<>"open"){
		$status = array('status' => false, 'msg' => "该邮件服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$user = $asset_data['email'];//   收件人
	if($user=="" or $user=="0"){
		$status = array('status' => false, 'msg' => "收件人为空 放弃发送", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$account = $api_config['remark']['account'];
	$content = $email_content; 
	$web_name = $app_data['app_name'];
	$mail_type= "HTML";
	$plugin->smtp->setFrom($account, $web_name);
	$plugin->smtp->addAddress($user, $user);
	$plugin->smtp->addReplyTo($account, $web_name);
	$plugin->smtp->isHTML(true);
	$plugin->smtp->Subject = "【".$app_data['app_name']."】登录异常-发送时间：" . date('Y-m-d H:i:s');;
	$plugin->smtp->Body    = '<h1>'.$content.'</h1>';
	$plugin->smtp->AltBody = $content;#文本内容
	$get_status = $plugin->smtp->send();
	if($get_status=="1"){
		$status = array('status' => true, 'msg' => "邮件发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
} 
/**
 * -----发送客户登录验证码  [若不发送则直接返回发送成功 不写日志记录]
 */
function mail_all_login_code($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['login_code']<>"open"){
		$status = array('status' => false, 'msg' => "该邮件服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$user = $asset_data['email'];//   收件人
	if($user=="" or $user=="0"){
		$status = array('status' => false, 'msg' => "收件人为空 放弃发送", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$account = $api_config['remark']['account'];
	$content = "【".$app_data['app_name']."】你的验证码是：".$asset_data['code'].",请在".$asset_data['code_time']."内使用，超时无效"; 
	$web_name = $app_data['app_name'];
	$mail_type= "HTML";
	$plugin->smtp->setFrom($account, $web_name);
	$plugin->smtp->addAddress($user, $user);
	$plugin->smtp->addReplyTo($account, $web_name);
	$plugin->smtp->isHTML(true);
	$plugin->smtp->Subject = "【".$app_data['app_name']."】验证码通知-发送时间：" . date('Y-m-d H:i:s');;
	$plugin->smtp->Body    = '<h1>'.$content.'</h1>';
	$plugin->smtp->AltBody = $content;#文本内容
	$get_status = $plugin->smtp->send();
	//$get_status = $plugin->smtp->sendmail($user, $account, "验证码通知", $content, $mail_type,"","","",$web_name);
	if($get_status=="1"){
		$status = array('status' => true, 'msg' => "邮件发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----发送客户注册验证码  [若不发送则直接返回发送成功 不写日志记录]
 */
function mail_all_reg_code($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['reg_code']<>"open"){
		$status = array('status' => false, 'msg' => "该邮件服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$user = $asset_data['email'];//   收件人
	if($user=="" or $user=="0"){
		$status = array('status' => false, 'msg' => "收件人为空 放弃发送", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$account = $api_config['remark']['account'];
	$content = "【".$app_data['app_name']."】你的验证码是：".$asset_data['code'].",请在".$asset_data['code_time']."内使用，超时无效"; 
	$web_name = $app_data['app_name'];
	$mail_type= "HTML";
	$plugin->smtp->setFrom($account, $web_name);
	$plugin->smtp->addAddress($user, $user);
	$plugin->smtp->addReplyTo($account, $web_name);
	$plugin->smtp->isHTML(true);
	$plugin->smtp->Subject = "【".$app_data['app_name']."】验证码通知-发送时间：" . date('Y-m-d H:i:s');;
	$plugin->smtp->Body    = '<h1>'.$content.'</h1>';
	$plugin->smtp->AltBody = $content;#文本内容
	$get_status = $plugin->smtp->send();
	//$get_status = $plugin->smtp->sendmail($user, $account, "验证码通知", $content, $mail_type,"","","",$web_name);
	if($get_status=="1"){
		$status = array('status' => true, 'msg' => "邮件发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----发送客户找回密码验证码  [若不发送则直接返回发送成功 不写日志记录]
 */
function mail_all_retrieve_code($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['retrieve_code']<>"open"){
		$status = array('status' => false, 'msg' => "该邮件服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$user = $asset_data['email'];//   收件人
	if($user=="" or $user=="0"){
		$status = array('status' => false, 'msg' => "收件人为空 放弃发送", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$account = $api_config['remark']['account'];
	$content = "【".$app_data['app_name']."】你的验证码是：".$asset_data['code'].",请在".$asset_data['code_time']."内使用，超时无效"; 
	$web_name = $app_data['app_name'];
	$mail_type= "HTML";
	$plugin->smtp->setFrom($account, $web_name);
	$plugin->smtp->addAddress($user, $user);
	$plugin->smtp->addReplyTo($account, $web_name);
	$plugin->smtp->isHTML(true);
	$plugin->smtp->Subject = "【".$app_data['app_name']."】验证码通知-发送时间：" . date('Y-m-d H:i:s');;
	$plugin->smtp->Body    = '<h1>'.$content.'</h1>';
	$plugin->smtp->AltBody = $content;#文本内容
	$get_status = $plugin->smtp->send();
	//$get_status = $plugin->smtp->sendmail($user, $account, "验证码通知", $content, $mail_type,"","","",$web_name);
	if($get_status=="1"){
		$status = array('status' => true, 'msg' => "邮件发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----发送客户购买商品通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function mail_all_buy($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['buy']<>"open"){
		$status = array('status' => false, 'msg' => "该邮件服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$user = $asset_data['email'];//   收件人
	if($user=="" or $user=="0"){
		$status = array('status' => false, 'msg' => "收件人为空 放弃发送", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$account = $api_config['remark']['account'];// 发件人
	$content = "【".$app_data['app_name']."】商品购买成功,商品名称:".$asset_data['shop_product']['product_name'].",购买时间".date("Y-m-d H:i:s",$asset_data['buy_data']['begin_time']).",到期时间".date("Y-m-d H:i:s",$asset_data['buy_data']['end_time']); // 邮件内容
	$web_name = $app_data['app_name'];// 站点名称
	$mail_type= "HTML";// 文本类型  为空表示 text
	$plugin->smtp->setFrom($account, $web_name);
	$plugin->smtp->addAddress($user, $user);
	$plugin->smtp->addReplyTo($account, $web_name);
	$plugin->smtp->isHTML(true);
	$plugin->smtp->Subject = "【".$app_data['app_name']."】商品购买成功-发送时间：" . date('Y-m-d H:i:s');;
	$plugin->smtp->Body    = '<h1>'.$content.'</h1>';
	$plugin->smtp->AltBody = $content;#文本内容
	$get_status = $plugin->smtp->send();
	//$get_status = $plugin->smtp->sendmail($user, $account, "商品购买成功", $content, $mail_type,"","","",$web_name);
	if($get_status=="1"){
		$status = array('status' => true, 'msg' => "邮件发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----发送客户充值余额通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function mail_all_pay($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['pay']<>"open"){
		$status = array('status' => false, 'msg' => "该邮件服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$user = $asset_data['email'];//   收件人
	if($user=="" or $user=="0"){
		$status = array('status' => false, 'msg' => "收件人为空 放弃发送", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$account = $api_config['remark']['account'];// 发件人
	
	$content = "【".$app_data['app_name']."】你的余额充值已到账，充值金额：￥".$asset_data['orders']['money']."，充值时间：".date("Y-m-d H:i:s",$asset_data['orders']['end_time']); // 邮件内容
	
	$web_name = $app_data['app_name'];// 站点名称
	$mail_type= "HTML";// 文本类型  为空表示 text
	$plugin->smtp->setFrom($account, $web_name);
	$plugin->smtp->addAddress($user, $user);
	$plugin->smtp->addReplyTo($account, $web_name);
	$plugin->smtp->isHTML(true);
	$plugin->smtp->Subject = "【".$app_data['app_name']."】充值到账通知-发送时间：" . date('Y-m-d H:i:s');;
	$plugin->smtp->Body    = '<h1>'.$content.'</h1>';
	$plugin->smtp->AltBody = $content;#文本内容
	$get_status = $plugin->smtp->send();
	//$get_status = $plugin->smtp->sendmail($user, $account, "余额充值成功", $content, $mail_type,"","","",$web_name);
	if($get_status=="1"){
		$status = array('status' => true, 'msg' => "邮件发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}

/**
 * -----发送客户实名认证验证码  [若不发送则直接返回发送成功 不写日志记录]
 */
function mail_all_auth_code($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['auth_code']<>"open"){
		$status = array('status' => false, 'msg' => "该邮件服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$user = $asset_data['email'];//   收件人
	if($user=="" or $user=="0"){
		$status = array('status' => false, 'msg' => "收件人为空 放弃发送", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$account = $api_config['remark']['account'];
	$content = "【".$app_data['app_name']."】你的验证码是：".$asset_data['code'].",请在".$asset_data['code_time']."内使用，超时无效"; 
	$web_name = $app_data['app_name'];
	$mail_type= "HTML";
	$plugin->smtp->setFrom($account, $web_name);
	$plugin->smtp->addAddress($user, $user);
	$plugin->smtp->addReplyTo($account, $web_name);
	$plugin->smtp->isHTML(true);
	$plugin->smtp->Subject = "【".$app_data['app_name']."】验证码通知-发送时间：" . date('Y-m-d H:i:s');;
	$plugin->smtp->Body    = '<h1>'.$content.'</h1>';
	$plugin->smtp->AltBody = $content;#文本内容
	$get_status = $plugin->smtp->send();
	//$get_status = $plugin->smtp->sendmail($user, $account, "验证码通知", $content, $mail_type,"","","",$web_name);
	if($get_status=="1"){
		$status = array('status' => true, 'msg' => "邮件发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}


/**
 * -----发送客户实名认证成功通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function mail_all_auth_yes($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	
	if($api_config['remark']['auth_yes']<>"open"){
		$status = array('status' => false, 'msg' => "该邮件服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$user = $asset_data['email'];//   收件人
	if($user=="" or $user=="0"){
		$status = array('status' => false, 'msg' => "收件人为空 放弃发送", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$account = $api_config['remark']['account'];
	$content = "【".$app_data['app_name']."】恭喜你已经通过实名认证，如有问题请联系平台客服"; 
	$web_name = $app_data['app_name'];
	$mail_type= "HTML";
	$plugin->smtp->setFrom($account, $web_name);
	$plugin->smtp->addAddress($user, $user);
	$plugin->smtp->addReplyTo($account, $web_name);
	$plugin->smtp->isHTML(true);
	$plugin->smtp->Subject = "【".$app_data['app_name']."】实名成功通知-发送时间：" . date('Y-m-d H:i:s');;
	$plugin->smtp->Body    = '<h1>'.$content.'</h1>';
	$plugin->smtp->AltBody = $content;#文本内容
	$get_status = $plugin->smtp->send();
	//$get_status = $plugin->smtp->sendmail($user, $account, "实名认证通知", $content, $mail_type,"","","",$web_name);
	if($get_status=="1"){
		$status = array('status' => true, 'msg' => "邮件发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}

/**
 * -----发送客户续费资产通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function mail_all_renew($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['renew']<>"open"){
		$status = array('status' => false, 'msg' => "该邮件服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$user = $asset_data['email'];//   收件人
	if($user=="" or $user=="0"){
		$status = array('status' => false, 'msg' => "收件人为空 放弃发送", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$account = $api_config['remark']['account'];// 发件人
	$content = "【".$app_data['app_name']."】资产续费成功,商品名称:".$asset_data['shop_product']['product_name'].",续费时间".date("Y-m-d H:i:s",$asset_data['buy_data']['begin_time']).",到期时间".date("Y-m-d H:i:s",$asset_data['buy_data']['end_time']); // 邮件内容
	$web_name = $app_data['app_name'];// 站点名称
	$mail_type= "HTML";// 文本类型  为空表示 text
	$plugin->smtp->setFrom($account, $web_name);
	$plugin->smtp->addAddress($user, $user);
	$plugin->smtp->addReplyTo($account, $web_name);
	$plugin->smtp->isHTML(true);
	$plugin->smtp->Subject = "【".$app_data['app_name']."】续费成功通知-发送时间：" . date('Y-m-d H:i:s');;
	$plugin->smtp->Body    = '<h1>'.$content.'</h1>';
	$plugin->smtp->AltBody = $content;#文本内容
	$get_status = $plugin->smtp->send();
	//$get_status = $plugin->smtp->sendmail($user, $account, "资产续费成功", $content, $mail_type,"","","",$web_name);
	if($get_status=="1"){
		$status = array('status' => true, 'msg' => "邮件发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----客服回复工单通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function mail_all_me_ods($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['me_ods']<>"open"){
		$status = array('status' => false, 'msg' => "该邮件服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$user = $asset_data['email'];//   收件人
	if($user=="" or $user=="0"){
		$status = array('status' => false, 'msg' => "收件人为空 放弃发送", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$account = $api_config['remark']['account'];// 发件人
	$content = "【".$app_data['app_name']."】尊敬的用户".$asset_data['mobile']." 你的工单号 ".$asset_data['renid']." 已经有了新的进展，你可以登录控制台查看详情"; // 邮件内容
	$web_name = $app_data['app_name'];// 站点名称
	$mail_type= "HTML";// 文本类型  为空表示 text
	$plugin->smtp->setFrom($account, $web_name);
	$plugin->smtp->addAddress($user, $user);
	$plugin->smtp->addReplyTo($account, $web_name);
	$plugin->smtp->isHTML(true);
	$plugin->smtp->Subject = "【".$app_data['app_name']."】工单进度通知-发送时间：" . date('Y-m-d H:i:s');;
	$plugin->smtp->Body    = '<h1>'.$content.'</h1>';
	$plugin->smtp->AltBody = $content;#文本内容
	$get_status = $plugin->smtp->send();
	//$get_status = $plugin->smtp->sendmail($user, $account, "工单进度通知", $content, $mail_type,"","","",$web_name);
	if($get_status=="1"){
		$status = array('status' => true, 'msg' => "邮件发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----客服回复退款通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function mail_all_refund($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['refund']<>"open"){
		$status = array('status' => false, 'msg' => "该邮件服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$user = $asset_data['email'];//   收件人
	if($user=="" or $user=="0"){
		$status = array('status' => false, 'msg' => "收件人为空 放弃发送", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$account = $api_config['remark']['account'];// 发件人
	$content = "【".$app_data['app_name']."】尊敬的用户".$asset_data['mobile']." 你的退款任务号 ".$asset_data['renid']." 已经有了新的进展，你可以登录控制台查看详情"; // 邮件内容
	$web_name = $app_data['app_name'];// 站点名称
	$mail_type= "HTML";// 文本类型  为空表示 text
	$plugin->smtp->setFrom($account, $web_name);
	$plugin->smtp->addAddress($user, $user);
	$plugin->smtp->addReplyTo($account, $web_name);
	$plugin->smtp->isHTML(true);
	$plugin->smtp->Subject = "【".$app_data['app_name']."】退款进度通知-发送时间：" . date('Y-m-d H:i:s');;
	$plugin->smtp->Body    = '<h1>'.$content.'</h1>';
	$plugin->smtp->AltBody = $content;#文本内容
	$get_status = $plugin->smtp->send();
	//$get_status = $plugin->smtp->sendmail($user, $account, "工单进度通知", $content, $mail_type,"","","",$web_name);
	if($get_status=="1"){
		$status = array('status' => true, 'msg' => "邮件发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----客服回复发票通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function mail_all_invoice($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['invoice']<>"open"){
		$status = array('status' => false, 'msg' => "该邮件服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$user = $asset_data['email'];//   收件人
	if($user=="" or $user=="0"){
		$status = array('status' => false, 'msg' => "收件人为空 放弃发送", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$account = $api_config['remark']['account'];// 发件人
	$content = "【".$app_data['app_name']."】尊敬的用户".$asset_data['mobile']." 你的申请发票任务号 ".$asset_data['renid']." 已经有了新的进展，你可以登录控制台查看详情"; // 邮件内容
	$web_name = $app_data['app_name'];// 站点名称
	$mail_type= "HTML";// 文本类型  为空表示 text
	$plugin->smtp->setFrom($account, $web_name);
	$plugin->smtp->addAddress($user, $user);
	$plugin->smtp->addReplyTo($account, $web_name);
	$plugin->smtp->isHTML(true);
	$plugin->smtp->Subject = "【".$app_data['app_name']."】发票进度通知-发送时间：" . date('Y-m-d H:i:s');;
	$plugin->smtp->Body    = '<h1>'.$content.'</h1>';
	$plugin->smtp->AltBody = $content;#文本内容
	$get_status = $plugin->smtp->send();
	//$get_status = $plugin->smtp->sendmail($user, $account, "工单进度通知", $content, $mail_type,"","","",$web_name);
	if($get_status=="1"){
		$status = array('status' => true, 'msg' => "邮件发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----发送资产到期当天邮件通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function mail_all_expire($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['expire']<>"open"){
		$status = array('status' => false, 'msg' => "该邮件服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$user = $asset_data['email'];//   收件人
	if($user=="" or $user=="0"){
		$status = array('status' => false, 'msg' => "收件人为空 放弃发送", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$account = $api_config['remark']['account'];// 发件人
	$content = "【".$app_data['app_name']."】你购买的资产".$asset_data['shop_product']."于现在到期，已经删除到回收站，三天后彻底删除"; // 邮件内容
	$web_name = $app_data['app_name'];// 站点名称
	$mail_type= "HTML";// 文本类型  为空表示 text
	$plugin->smtp->setFrom($account, $web_name);
	$plugin->smtp->addAddress($user, $user);
	$plugin->smtp->addReplyTo($account, $web_name);
	$plugin->smtp->isHTML(true);
	$plugin->smtp->Subject = "【".$app_data['app_name']."】到期通知-发送时间：" . date('Y-m-d H:i:s');;
	$plugin->smtp->Body    = '<h1>'.$content.'</h1>';
	$plugin->smtp->AltBody = $content;#文本内容
	$get_status = $plugin->smtp->send();
	if($get_status=="1"){
		$status = array('status' => true, 'msg' => "邮件发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----发送资产到期前三天邮件通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function mail_all_sexpire($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['sexpire']<>"open"){
		$status = array('status' => false, 'msg' => "该邮件服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$user = $asset_data['email'];//   收件人
	if($user=="" or $user=="0"){
		$status = array('status' => false, 'msg' => "收件人为空 放弃发送", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$account = $api_config['remark']['account'];// 发件人
	$content = "【".$app_data['app_name']."】你购买的资产".$asset_data['shop_product']."于三天后到期，为避免影响你的业务，请及时续费"; // 邮件内容
	$web_name = $app_data['app_name'];// 站点名称
	$mail_type= "HTML";// 文本类型  为空表示 text
	$plugin->smtp->setFrom($account, $web_name);
	$plugin->smtp->addAddress($user, $user);
	$plugin->smtp->addReplyTo($account, $web_name);
	$plugin->smtp->isHTML(true);
	$plugin->smtp->Subject = "【".$app_data['app_name']."】到期通知-发送时间：" . date('Y-m-d H:i:s');;
	$plugin->smtp->Body    = '<h1>'.$content.'</h1>';
	$plugin->smtp->AltBody = $content;#文本内容
	$get_status = $plugin->smtp->send();
	if($get_status=="1"){
		$status = array('status' => true, 'msg' => "邮件发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}
/**
 * -----发送资产到期删除邮件通知  [若不发送则直接返回发送成功 不写日志记录]
 */
function mail_all_dells($plugin) {
    $asset_data = $plugin->asset_data();
    $api_config = $plugin->api_config();
	if($api_config['remark']['dells']<>"open"){
		$status = array('status' => false, 'msg' => "该邮件服务处于关闭状态，请咨询客服", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$app_data   = $plugin->ide->lzsys_system->app_data();
	$user = $asset_data['email'];//   收件人
	if($user=="" or $user=="0"){
		$status = array('status' => false, 'msg' => "收件人为空 放弃发送", 'data' => array());
		return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
	}
	$account = $api_config['remark']['account'];// 发件人
	$content = "【".$app_data['app_name']."】你购买的资产".$asset_data['shop_product']."于到期超过3天，已经彻底销毁数据"; // 邮件内容
	$web_name = $app_data['app_name'];// 站点名称
	$mail_type= "HTML";// 文本类型  为空表示 text
	$plugin->smtp->setFrom($account, $web_name);
	$plugin->smtp->addAddress($user, $user);
	$plugin->smtp->addReplyTo($account, $web_name);
	$plugin->smtp->isHTML(true);
	$plugin->smtp->Subject = "【".$app_data['app_name']."】删除通知-发送时间：" . date('Y-m-d H:i:s');;
	$plugin->smtp->Body    = '<h1>'.$content.'</h1>';
	$plugin->smtp->AltBody = $content;#文本内容
	$get_status = $plugin->smtp->send();
	if($get_status=="1"){
		$status = array('status' => true, 'msg' => "邮件发送成功", 'data' => array());
	}else{
		$status = array('status' => false, 'msg' => $get_status, 'data' => array());
	}
	
	return $plugin->system("status", $plugin->ide->lzsys_system->json($status));
}